Favicon

You are here: Home > API Reference > Platform > User Authentication > Deactivate two factor

DELETE /auth/two-factor

Deactivate two factor

DELETE
https://api.applivery.io/v1/auth/two-factor
curl -X DELETE "https://api.applivery.io/v1/auth/two-factor" \
  -H "Authorization: Bearer <YOUR_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
  "password": "string",
  "language": "es"
}'
const response = await fetch("https://api.applivery.io/v1/auth/two-factor", {
  method: "DELETE",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "password": "string",
    "language": "es"
  }),
});

const data = await response.json();
import requests

response = requests.delete(
    "https://api.applivery.io/v1/auth/two-factor",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
    json={
      "password": "string",
      "language": "es"
    },
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

Body Params application/json
password string required
≤ 128 characters
language string optional
es en fr de it zh pt ru
{
    "password": "string",
    "language": "es"
}

Responses

200 Response application/json
status boolean optional
data object optional
activate string optional
OK
{
    "status": true,
    "data": {
        "activate": "OK"
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4013
message string optional
Invalid 2FA code
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}